Package org.linphone.core

# Interface VideoDefinition

public interface VideoDefinition
This object represents a video definition, e.g., its width, its height, and
possibly its name.
It is mostly used to configure the default video size sent by your camera
during a video call with `Core.setPreferredVideoDefinition(org.linphone.core.VideoDefinition)` method.

## Method Summary

Modifier and Type
Method
Description
`VideoDefinition`
`clone()`
Clone a video definition.
`boolean`
`equals(VideoDefinition videoDefinition2)`
Tells whether two `VideoDefinition` objects are equal (the widths and the
heights are the same but can be switched).
`int`
`getHeight()`
Gets the height of the video definition.
`String`
`getName()`
Gets the name of the video definition.
`long`
`getNativePointer()`
Gets the native pointer used by this class to make native method calls.
`Object`
`getUserData()`
Gets the object stored in this object user's data
`int`
`getWidth()`
Gets the width of the video definition.
`boolean`
`isUndefined()`
Tells whether a `VideoDefinition` is undefined.
`void`
`setDefinition(int width, int height)`
Sets the width and the height of the video definition.
`void`
`setHeight(int height)`
Sets the height of the video definition.
`void`
`setName(String name)`
Sets the name of the video definition.
`void`
`setUserData(Object data)`
Sets the object to store in this object user's data
`void`
`setWidth(int width)`
Sets the width of the video definition.
`boolean`
`strictEquals(VideoDefinition videoDefinition2)`
Tells whether two `VideoDefinition` objects are strictly equal (the
widths are the same and the heights are the same).
`String`
`toString()`

## Method Details

### getHeight

int getHeight()
Gets the height of the video definition.

Returns:
  The height of the video definition

### setHeight

void setHeight(int height)
Sets the height of the video definition.

Parameters:
  `height` - The height of the video definition

### isUndefined

boolean isUndefined()
Tells whether a `VideoDefinition` is undefined.

Returns:
  A boolean value telling whether the `VideoDefinition` is
  undefined.

### getName

String getName()
Gets the name of the video definition.

Returns:
  The name of the video definition

### setName

void setName(String name)
Sets the name of the video definition.

Parameters:
  `name` - The name of the video definition

### getWidth

int getWidth()
Gets the width of the video definition.

Returns:
  The width of the video definition

### setWidth

void setWidth(int width)
Sets the width of the video definition.

Parameters:
  `width` - The width of the video definition

### clone

VideoDefinition clone()
Clone a video definition.

Returns:
  The new clone of the video definition

### equals

boolean equals(VideoDefinition videoDefinition2)
Tells whether two `VideoDefinition` objects are equal (the widths and the
heights are the same but can be switched).

Parameters:
  `videoDefinition2` - `VideoDefinition` object
Returns:
  A boolean value telling whether the two `VideoDefinition` objects
  are equal.

### setDefinition

void setDefinition(int width, int height)
Sets the width and the height of the video definition.

Parameters:
  `width` - The width of the video definition
  `height` - The height of the video definition

### strictEquals

boolean strictEquals(VideoDefinition videoDefinition2)
Tells whether two `VideoDefinition` objects are strictly equal (the
widths are the same and the heights are the same).

Parameters:
  `videoDefinition2` - `VideoDefinition` object
Returns:
  A boolean value telling whether the two `VideoDefinition` objects
  are strictly equal.

### setUserData

void setUserData(Object data)
Sets the object to store in this object user's data

Parameters:
  `data` - the object to store

### getUserData

Object getUserData()
Gets the object stored in this object user's data

Returns:
  the object store if any, null otherwise

### getNativePointer

long getNativePointer()
Gets the native pointer used by this class to make native method calls.

Returns:
  the nativer pointer, as long

### toString

String toString()

Overrides:
  `toString` in class `Object`